Bug 1469835 - [abrt] gnome-shell: st_theme_node_reduce_border_radius(): gnome-shell killed by signal 11
[abrt] gnome-shell: st_theme_node_reduce_border_radius(): gnome-shell killed ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:ae8fb43dd40b99d96a92b49af4e...
:
: 1496790 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-11 19:34 EDT by Nikita Goncharuk
Modified: 2018-05-29 08:20 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:20:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (103.47 KB, text/plain)
2017-07-11 19:34 EDT, Nikita Goncharuk
no flags Details
File: cgroup (289 bytes, text/plain)
2017-07-11 19:34 EDT, Nikita Goncharuk
no flags Details
File: core_backtrace (55.21 KB, text/plain)
2017-07-11 19:35 EDT, Nikita Goncharuk
no flags Details
File: cpuinfo (1.20 KB, text/plain)
2017-07-11 19:35 EDT, Nikita Goncharuk
no flags Details
File: dso_list (10.11 KB, text/plain)
2017-07-11 19:35 EDT, Nikita Goncharuk
no flags Details
File: environ (1.75 KB, text/plain)
2017-07-11 19:35 EDT, Nikita Goncharuk
no flags Details
File: exploitable (82 bytes, text/plain)
2017-07-11 19:35 EDT, Nikita Goncharuk
no flags Details
File: limits (1.29 KB, text/plain)
2017-07-11 19:35 EDT, Nikita Goncharuk
no flags Details
File: maps (104.84 KB, text/plain)
2017-07-11 19:35 EDT, Nikita Goncharuk
no flags Details
File: open_fds (10.72 KB, text/plain)
2017-07-11 19:35 EDT, Nikita Goncharuk
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-07-11 19:35 EDT, Nikita Goncharuk
no flags Details
File: var_log_messages (23.48 KB, text/plain)
2017-07-11 19:35 EDT, Nikita Goncharuk
no flags Details

  None (edit)
Description Nikita Goncharuk 2017-07-11 19:34:50 EDT
Description of problem:
1. rearanged combined displays, moved the left one to right
2. changed the primary display
got a mess of activities overview and normal sized windows, but couldn't interact with anything properly.
3. locked screen with Win+L
4. after password input and hit enter Shell crashed

Version-Release number of selected component:
gnome-shell-3.24.2-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_theme_node_reduce_border_radius
executable:     /usr/bin/gnome-shell
journald_cursor: s=f86958fcb99b472092caaaa90b0d6a75;i=e2dd;b=0ac8d1a0ad1e45e68afad74c3861f32d;m=356b25879;t=5541305be2e90;x=62c50922001af184
kernel:         4.11.8-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 st_theme_node_reduce_border_radius at st/st-theme-node-drawing.c:280
 #1 st_theme_node_paint_borders at st/st-theme-node-drawing.c:1663
 #2 st_theme_node_paint at st/st-theme-node-drawing.c:2598
 #3 st_widget_paint_background at st/st-widget.c:459
 #4 shell_generic_container_paint at shell-generic-container.c:140

Potential duplicate: bug 1352932
Comment 1 Nikita Goncharuk 2017-07-11 19:34:58 EDT
Created attachment 1296595 [details]
File: backtrace
Comment 2 Nikita Goncharuk 2017-07-11 19:34:59 EDT
Created attachment 1296596 [details]
File: cgroup
Comment 3 Nikita Goncharuk 2017-07-11 19:35:01 EDT
Created attachment 1296597 [details]
File: core_backtrace
Comment 4 Nikita Goncharuk 2017-07-11 19:35:03 EDT
Created attachment 1296598 [details]
File: cpuinfo
Comment 5 Nikita Goncharuk 2017-07-11 19:35:05 EDT
Created attachment 1296599 [details]
File: dso_list
Comment 6 Nikita Goncharuk 2017-07-11 19:35:06 EDT
Created attachment 1296600 [details]
File: environ
Comment 7 Nikita Goncharuk 2017-07-11 19:35:08 EDT
Created attachment 1296601 [details]
File: exploitable
Comment 8 Nikita Goncharuk 2017-07-11 19:35:09 EDT
Created attachment 1296602 [details]
File: limits
Comment 9 Nikita Goncharuk 2017-07-11 19:35:12 EDT
Created attachment 1296603 [details]
File: maps
Comment 10 Nikita Goncharuk 2017-07-11 19:35:13 EDT
Created attachment 1296604 [details]
File: open_fds
Comment 11 Nikita Goncharuk 2017-07-11 19:35:15 EDT
Created attachment 1296605 [details]
File: proc_pid_status
Comment 12 Nikita Goncharuk 2017-07-11 19:35:17 EDT
Created attachment 1296606 [details]
File: var_log_messages
Comment 13 Nikita Goncharuk 2017-07-11 20:48:09 EDT
Similar problem has been detected:

This Crash happens if Gnome-Shell extension "Multi Monitors Add-On" is enabled.
I have only "Show Thumbnails Slider on additional monitors." enabled in the extension's configuration.
Two or more monitors probably needed to reproduce.

Steps to reproduce:
1. Open Activities Overview
2. Lock screen (Super+L hotkey)
3. Unlock Screen

Instead of unlocking Shell would Crash.

However I'm not usually lock screen from activities overview so most time unlock works fine.
---------------------------------------------------------------------
Additional info:
These additional workspace slider (which is the copy of the thing on the right of activities overview, but for windows on the second monitor) is really usefull feature for multymonitor.
Using only one workspace on the second monitor decreases it's value.
And moving windows between workspaces with hotkeys looks differen than activities overview. So it is a bit different workflow.
Moving window at first to Primary monitor's workspace slider than switching workspace and moving the window to secondary monitor takes too much time.
And Primary monitors workspace slider do not show previews of workspaces on other monitors so it is a big chance to move the window to wrong workspace because you are not see where you actually moving it without additional workspace slider.

Are workspace sliders for each monitor going to be default?



reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_theme_node_reduce_border_radius
executable:     /usr/bin/gnome-shell
journald_cursor: s=f86958fcb99b472092caaaa90b0d6a75;i=e7ff;b=0ac8d1a0ad1e45e68afad74c3861f32d;m=3e3aa5c63;t=5541392b6327b;x=8437b5e55dd1b558
kernel:         4.11.8-300.fc26.x86_64
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Nikita Goncharuk 2017-07-11 20:54:35 EDT
Description and comment 13 are quiet different bugs though ended up same way.
Comment 15 Nikita Goncharuk 2017-07-12 06:59:22 EDT
Similar problem has been detected:

Crash happened on Screen unlock. This time I don't remember what I was doing before I locked it. 

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_theme_node_reduce_border_radius
executable:     /usr/bin/gnome-shell
journald_cursor: s=f86958fcb99b472092caaaa90b0d6a75;i=fece;b=0ac8d1a0ad1e45e68afad74c3861f32d;m=72f840815;t=5541c928ea7b2;x=9b492491760deed
kernel:         4.11.8-300.fc26.x86_64
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Sigin George 2017-07-14 01:04:38 EDT
Similar problem has been detected:

I did an upgrade from Fedora 25 to 26 and after that the it would not let me to login to my account. Each time I try to login it takes the password and pushes me back to the login screen.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_theme_node_reduce_border_radius
executable:     /usr/bin/gnome-shell
journald_cursor: s=aee200f8a8a8446d802d604ca993366e;i=46f78;b=1a203c10901c4e5ea8bc16af473f8b20;m=83a9284;t=5543e992ae65c;x=65ecb34739abac76
kernel:         4.11.9-300.fc26.x86_64
package:        gnome-shell-3.24.2-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 17 Nikita Goncharuk 2017-08-15 09:23:51 EDT
Today Shell Froze and Crashed While switch to activities overview animation and ABRT detected the crash as a duplicate of this bug.
Comment 18 Jaša Bartelj 2017-08-24 04:10:50 EDT
Similar problem has been detected:

crash immediately after logging into a locked session

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_theme_node_reduce_border_radius
executable:     /usr/bin/gnome-shell
journald_cursor: s=6f7f5c05dec74e36aa0b09284b945b5b;i=90c9;b=3eeba1a742d7463da312e3615687f865;m=d7022def;t=5577b2b4f46e5;x=3f61abddcfbea30a
kernel:         4.12.5-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 19 Jaša Bartelj 2017-08-24 04:56:01 EDT
I can confirm that this bug manifests when the multi-monitors-add-on is enabled and session is locked in Activities overview.

Reproducible using F26/gnome-shell 3.24 and extension version 11 (updated as-of-today). Extension version taken from: ~/.local/share/gnome-shell/extensions/multi-monitors-add-on@spin83/metadata.json

Here are the issues on the extension project homepage:
* "Crash when unlocking PC" https://github.com/spin83/multi-monitors-add-on/issues/54
* "Gnome shell crash if additonal monitor pluged when Activities overview opened" https://github.com/spin83/multi-monitors-add-on/issues/49
Comment 20 Nikita Goncharuk 2017-09-02 08:13:38 EDT
Similar problem has been detected:

multi-monitors-add-on extension related Crash when Unlocking Shell

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_theme_node_reduce_border_radius
executable:     /usr/bin/gnome-shell
journald_cursor: s=f86958fcb99b472092caaaa90b0d6a75;i=c2ae9;b=2e33859a477e456ea9efeef49fb5eba8;m=245850f1ef;t=55833c1fe839f;x=69a2c3a47c2e9151
kernel:         4.12.8-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 21 Paweł Glica 2017-09-28 08:22:33 EDT
*** Bug 1496790 has been marked as a duplicate of this bug. ***
Comment 22 Mike Hanson 2017-10-15 15:14:39 EDT
Similar problem has been detected:

Crashed on or during login after the PC had been locked for several hours.  

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_theme_node_reduce_border_radius
executable:     /usr/bin/gnome-shell
journald_cursor: s=b81924d61cd04303a0bcb274dad92e2f;i=527f03;b=2a1d28a474ea433bbd178afb05888898;m=b577f180e;t=55b99e6493759;x=d621ffeb61c18ee7
kernel:         4.13.5-200.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 23 Matt W 2017-10-17 09:29:02 EDT
Similar problem has been detected:


This happened after I could not login to my regular user. I therefore logged in to my guest account, executed 

su normaluser
sudo dnf upgrade -y

(I had to download lots of updates, since I had not turned on this machine for about three months.
I then shut down the computer and restarted it:
Start up Fedora on a ThinkPad s531 and login. 
(bluetooth was enabled at startup, since it cannot be permanently turned off on this machine/installation.)
Wifi was of course also turned on.

I then got an error message about bluetooth which I could not click away until I logged out and back in again.
(I had gotten the error message about bluetooth before, but I could close the message before that)
Then this error happened.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_theme_node_reduce_border_radius
executable:     /usr/bin/gnome-shell
journald_cursor: s=47a6e1986b5a4cf98a7f5f066f6e78e7;i=2d898;b=0bf1d098a2b645038d3602e422efc18d;m=21737e44;t=55bbd875f20a0;x=ecc73b2a9b8f3e56
kernel:         4.13.5-200.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 24 Marten 2017-11-17 06:31:11 EST
I'm having the same problem on F27: https://bugzilla.redhat.com/show_bug.cgi?id=1513944 (just more frequent than on F26)
Comment 25 Dave Johansen 2017-12-02 10:09:02 EST
Similar problem has been detected:

Logged in and gnome crashed

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: st_theme_node_reduce_border_radius
executable:     /usr/bin/gnome-shell
journald_cursor: s=db9aed6532394ec59ed16b2bd782133f;i=b7627;b=75404fceaeea464cb61e2c87739ac0e3;m=10401d8146b;t=55f5caa0b6bc8;x=81eef139a13fa138
kernel:         4.13.12-200.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1001
Comment 26 Fedora End Of Life 2018-05-03 03:59:36 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 27 Fedora End Of Life 2018-05-29 08:20:54 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.